Ensure that KNewStuff works
Open, Needs TriagePublic

Description

The switch to store.kde.org unfortunately broke the old links. Check that KNewStuff is still working and when needed:

  • make sure that the category exists on store.kde.org
  • fix the URL from newstuff.kde.org to store.kde.org and
ltoscano created this task.Jun 23 2017, 7:10 AM

Apparently the issues was temporary or it has been solved somehow. As today (2017-07-23) all knsrc files in kdegames/ which has a corresponding GUI can load something (or at least not error out). Closing then.

ltoscano closed this task as Resolved.Jul 23 2017, 9:54 AM
ltoscano claimed this task.
ltoscano reopened this task as Open.Jul 29 2017, 12:57 PM

It turns out the the web server on the machines hosting newstuff.kde.org was restarted by accident when I tested the applications few days ago. So the testing worked just by pure chance.
Reopening, few applications need categories on store.kde.org:

./kblocks/kblocks.knsrc
./kdiamond/src/kdiamond.knsrc
./kgoldrunner/themes/kgoldrunner.knsrc
./kigo/src/kigo-games.knsrc
./kigo/src/kigo.knsrc
./ksirk/ksirk/ksirk.knsrc
./ksnakeduel/ksnakeduel.knsrc

See also:
https://mail.kde.org/pipermail/kde-community/2017q3/003636.html

Also, another category:

KSudoku Games

(KSudoku code for KNS has been disabled for a while, but let's start the basic steps for reenabling it).